Bug 244473 - irc/ircproxy: Fix builds on FreeBSD 12/13, Remove BROKEN
Summary: irc/ircproxy: Fix builds on FreeBSD 12/13, Remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-27 15:48 UTC by Chris Hutchinson
Modified: 2020-08-31 18:26 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
svn diff for irc/ircproxy (6.27 KB, patch)
2020-02-27 15:48 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
build log for irc/ircproxy (20.38 KB, text/plain)
2020-02-27 15:50 UTC, Chris Hutchinson
no flags Details
svn diff for irc/ircproxy (version 2) (6.47 KB, patch)
2020-03-06 23:06 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff for irc/ircprocy (version 3) (1.58 KB, patch)
2020-04-20 13:29 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff for irc/ircproxy (version 4) (6.28 KB, patch)
2020-04-22 23:35 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
Build log (12.20 KB, text/plain)
2020-04-22 23:36 UTC, Chris Hutchinson
no flags Details
log (15.87 KB, text/plain)
2020-04-23 12:55 UTC, Mikael Urankar
no flags Details
svn diff for irc/ircproxy (ver 5) -- spank poudriere (6.31 KB, patch)
2020-04-24 00:04 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
Build log from ver 5 (23.22 KB, text/plain)
2020-04-24 00:05 UTC, Chris Hutchinson
no flags Details
svn diff for irc/ircproxy (version 6) (1.69 KB, patch)
2020-04-30 12:52 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
QA log for 13-CURRENT/amd64 (for version 6 svn diff) (26.09 KB, text/plain)
2020-04-30 12:57 UTC, Chris Hutchinson
no flags Details
QA log for 11.3/amd64 (for version 6) (22.07 KB, text/plain)
2020-04-30 12:58 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2020-02-27 15:48:58 UTC
Created attachment 211993 [details]
svn diff for irc/ircproxy

irc/ircproxy has been broken on 12 and 13 because
SSL support was pulled from base. But as SSL is
no longer in base the build && install failed.

the svn(1) diff(1) attached fixes that problem.

CHANGES
Makefile

files/
patch-configure (added)
patch-configure.in (added)

That's it!

svn diff, and build log attached.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2020-02-27 15:50:06 UTC
Created attachment 211994 [details]
build log for irc/ircproxy

Build log on 12 for irc/ircproxy
Comment 2 Chris Hutchinson 2020-03-06 23:06:38 UTC
Created attachment 212210 [details]
svn diff for irc/ircproxy (version 2)

Update to previous patch (removed previous)

This revision accomplishes the following

Makefile:
PORTREVISION (bumps)
BROKEN_FreeBSD_12 (removes)
BROKEN_FreeBSD_13 (removes)

files/:
patch-configure (adds)
patch-configure.in (adds)

pkg-descr:
WWW (changes)

This port now works on modern FreeBSD/SSL and has a
working and informative webpage.

That's it! Thanks!

--Chris
Comment 3 Chris Hutchinson 2020-03-08 19:46:50 UTC
relevant build/install output on 12
with DEVELOPER=true in make.conf(5)
IRCPROXY BUILD LOG
...
ypto  -fstack-protector  -L /usr/local/lib -L ~/lib -lssl -lcares -lcrypt -o ircproxyd
===>  Staging for ircproxy-1.3.6_4
===>   Generating temporary packing list
===> Creating groups.
===> Creating users
Building src...
test -d  || mkdir 
Installing in src...
/usr/bin/install -c -d "/usr/ports/irc/ircproxy/work/stage/usr/local/bin"
/usr/bin/install -c -d "/usr/ports/irc/ircproxy/work/stage/usr/local/share/ircproxy"
/usr/bin/install -c -m 755 "ircproxyd" "/usr/ports/irc/ircproxy/work/stage/usr/local/bin"
/usr/bin/install -c -m 755 "imkpasswd" "/usr/ports/irc/ircproxy/work/stage/usr/local/bin"
/usr/bin/install -c -m 644 "./../data/ircproxyd.conf" "/usr/ports/irc/ircproxy/work/stage/usr/local/share/ircproxy"
/usr/bin/install -c -m 644 "./../data/ircproxyd-user.conf" "/usr/ports/irc/ircproxy/work/stage/usr/local/share/ircproxy"
/usr/bin/install -c -m 644 "./../data/ircproxyd-listen.conf" "/usr/ports/irc/ircproxy/work/stage/usr/local/share/ircproxy"
/usr/bin/install -c -m 644 "./../data/ircproxyd-conn.conf" "/usr/ports/irc/ircproxy/work/stage/usr/local/share/ircproxy"
/usr/bin/install -c -m 644 "./../data/ircproxyd-access.conf" "/usr/ports/irc/ircproxy/work/stage/usr/local/share/ircproxy"
/usr/bin/install -c -m 644 "./../data/ircproxyd-autoop.conf" "/usr/ports/irc/ircproxy/work/stage/usr/local/share/ircproxy"
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
# make install clean
===>  Installing for ircproxy-1.3.6_4
===>  Checking if ircproxy is already installed
===>   Registering installation for ircproxy-1.3.6_4
Installing ircproxy-1.3.6_4...
===> Creating groups.
Creating group 'ircproxyd' with gid '118'.
===> Creating users
Creating user 'ircproxyd' with uid '118'.
===> SECURITY REPORT: 
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.
/usr/local/bin/ircproxyd

      If there are vulnerabilities in these programs there may be a security
      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.

      For more information, and contact details about the security
      status of this software, see the following webpage: 
https://BSDforge.com/projects/irc/ircproxy/
===>  Cleaning for ircproxy-1.3.6_4
Comment 4 Chris Hutchinson 2020-04-18 16:16:37 UTC
Pretty please?
Comment 5 Mikael Urankar freebsd_committer 2020-04-18 17:48:47 UTC
It doesn't build for me (12.1 and 13):
=======================<phase: build          >============================
===>  Building for ircproxy-1.3.6_4
--- stamp-h.in ---
Generating config.h.in...
autoheader
sh: autoheader: not found
NOT recreating 'config.h.in', you don't have 'autoheader'
sh: timestamp: not found
*** [stamp-h.in] Error code 127
Comment 6 Chris Hutchinson 2020-04-18 21:28:42 UTC
(In reply to Mikael Urankar from comment #5)
What revisions are you on?
I just fired up a fresh 13 jail and a fresh ports
tree and applied the patch with this pr(1).

FreeBSD testjail.jail 13.0-CURRENT FreeBSD 13.0-CURRENT #0 r358902
root@releng1.nyi.freebsd.org:/usr/obj/usr/src/amd64.amd64/sys/GENERIC  amd64

Path: /usr/ports
Working Copy Root Path: /usr/ports
URL: svn://svn.freebsd.org/ports/head
Relative URL: ^/head
Repository Root: svn://svn.freebsd.org/ports
Repository UUID: 35697150-7ecd-e111-bb59-0022644237b5
Revision: 531386
Node Kind: directory
Schedule: normal
Last Changed Author: sunpoet
Last Changed Rev: 531386
Last Changed Date: 2020-04-10 15:24:56 -0700 (Fri, 10 Apr 2020)

make.conf:
DEVELOPER=true
DEFAULT_VERSIONS+= ssl=openssl


Then built without error:

install  -s -m 555 /usr/ports/dns/c-ares/work/c-ares-1.15.0/.libs/acountry /usr/ports/dns/c-ares/work/c-ares-1.15.0/.libs/adig /usr/ports/dns/c-ares/work/c-ares-1.15.0/.libs/ahost /usr/ports/dns/c-ares/work/stage/usr/local/bin/
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
===>  Installing for c-ares-1.15.0_1
===>  Checking if c-ares is already installed
===>   Registering installation for c-ares-1.15.0_1 as automatic
[testjail.jail] Installing c-ares-1.15.0_1...
===> SECURITY REPORT: 
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.
/usr/local/lib/libcares.a(libcares_la-ares_process.o)
/usr/local/lib/libcares.so.2.3.0

      If there are vulnerabilities in these programs there may be a security
      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.

      For more information, and contact details about the security
      status of this software, see the following webpage: 
https://c-ares.haxx.se/
===>   ircproxy-1.3.6_4 depends on shared library: libcares.so - found (/usr/local/lib/libcares.so)
===>   Returning to build of ircproxy-1.3.6_4
===>  Configuring for ircproxy-1.3.6_4
configure: loading site script /usr/ports/Templates/config.site
*-----------------------------------------------------------------------------
* GNU autoconf script for ircproxy
*-----------------------------------------------------------------------------
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether make sets $(MAKE)... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking for sh... /bin/sh
checking for echo... /bin/echo
checking for ls... /bin/ls
checking for file... /usr/bin/file
checking for touch... /usr/bin/touch
checking for mkdir... /bin/mkdir
checking for rmdir... /bin/rmdir
checking for cp... /bin/cp
checking for rm... /bin/rm
checking for mv... /bin/mv
checking for ln... /bin/ln
checking for cat... /bin/cat
checking for sed... (cached) /usr/bin/sed
checking for uname... /usr/bin/uname
checking for whoami... /usr/bin/whoami
checking for date... /bin/date
checking for id... /usr/bin/id
checking for ps... /bin/ps
checking for mail... /usr/bin/mail
checking for awk... /usr/bin/awk
checking for gawk... no
checking for nawk... /usr/bin/nawk
checking for grep... (cached) /usr/bin/grep
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for fgrep... (cached) /usr/bin/fgrep
checking for chmod... /bin/chmod
checking for chown... /usr/sbin/chown
checking for chgrp... /usr/bin/chgrp
checking for useradd... no
checking for userdel... no
checking for groupadd... no
checking for groupdel... no
checking for pw... /usr/sbin/pw
checking for crontab... /usr/bin/crontab
checking for library containing crypt... -lcrypt
checking for library containing socket... none required
checking for library containing gethostbyname... none required
checking for library containing gethostbyname2... none required
checking for library containing seteuid... none required
checking for library containing clock_gettime... none required
checking for library containing ares_init... -lcares
checking for OPENSSL_init_ssl in -lssl... yes
checking for OPENSSL_init_ssl in -lgnutls-openssl... no
checking for library containing OPENSSL_init_ssl... -lssl
checking for library containing memalloc... no
checking for library containing fdcalls_open... no
checking how to run the C preprocessor... cpp
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for limits.h... (cached) yes
checking for stdarg.h... (cached) yes
checking for errno.h... (cached) yes
checking for ctype.h... (cached) yes
checking for netinet/in.h... (cached) yes
checking for stdio.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for sys/uio.h... (cached) yes
checking for fcntl.h... (cached) yes
checking for sys/ioctl.h... (cached) yes
checking sys/filio.h usability... yes
checking sys/filio.h presence... yes
checking for sys/filio.h... yes
checking for unistd.h... (cached) yes
checking for string.h... (cached) yes
checking for signal.h... (cached) yes
checking for arpa/inet.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for netdb.h... (cached) yes
checking for arpa/nameser.h... (cached) yes
checking assert.h usability... yes
checking assert.h presence... yes
checking for assert.h... yes
checking crypt.h usability... no
checking crypt.h presence... no
checking for crypt.h... no
checking for sys/sysctl.h... (cached) yes
checking for pwd.h... (cached) yes
checking shadow.h usability... no
checking shadow.h presence... no
checking for shadow.h... no
checking userpw.h usability... no
checking userpw.h presence... no
checking for userpw.h... no
checking hpsecurity.h usability... no
checking hpsecurity.h presence... no
checking for hpsecurity.h... no
checking prot.h usability... no
checking prot.h presence... no
checking for prot.h... no
checking whether time.h and sys/time.h may both be included... yes
checking ares.h usability... yes
checking ares.h presence... no
configure: WARNING: ares.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: ares.h: proceeding with the compiler's result
checking for ares.h... yes
checking ares_version.h usability... yes
checking ares_version.h presence... no
configure: WARNING: ares_version.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: ares_version.h: proceeding with the compiler's result
checking for ares_version.h... yes
checking openssl/x509.h usability... yes
checking openssl/x509.h presence... yes
checking for openssl/x509.h... yes
checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... yes
checking for openssl/ssl.h... yes
checking openssl/err.h usability... yes
checking openssl/err.h presence... yes
checking for openssl/err.h... yes
checking memcalls.h usability... no
checking memcalls.h presence... no
checking for memcalls.h... no
checking fddebug.h usability... no
checking fddebug.h presence... no
checking for fddebug.h... no
checking for an ANSI C-conforming const... yes
checking for size_t... (cached) yes
checking for pid_t... (cached) yes
checking for uid_t... (cached) yes
checking for gid_t... yes
checking for socklen_t... (cached) yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking return type of signal handlers... void
checking for snprintf... (cached) yes
checking for vsnprintf... (cached) yes
checking for seteuid... (cached) yes
checking for setegid... (cached) yes
checking for strsignal... (cached) yes
checking for crypt... yes
checking for getpwnam... yes
checking for getspnam... no
checking for getuserpw... no
checking for getspwnam... no
checking for inet_aton... (cached) yes
checking for inet_ntoa... (cached) yes
checking for inet_pton... yes
checking for inet_ntop... (cached) yes
checking for ares_cancel... yes
checking for ares_cancelquery... no
checking for ares_version... yes
checking for ares_init_options... yes
checking for SSL_CTX_check_private_key... yes
checking for SSL_set_accept_state... yes
checking for ERR_clear_error... yes
checking for SSL_set_mode... no
checking whether snprintf is declared... (cached) yes
checking whether vsnprintf is declared... (cached) yes
checking whether crypt is declared... yes
checking whether strsignal is declared... (cached) yes
checking for OS type... FreeBSD found. Using BSD routines.
configure: creating ./config.status
config.status: creating config.h
checking for working POSIX non-blocking... yes
checking for working BSD non-blocking... yes
checking for working SysV non-blocking... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating config.h
config.status: executing default commands
*-----------------------------------------------------------------------------
*
* The GNU autoconf script for ircproxy was successful!
* This means ircproxy is likely to compile on this system.
* The installation prefix is: '/usr/local'.
* If this is not where you want to install ircproxy,
* you must specify another with './configure --prefix=/path/to/install'.
* for example you can set the prefix to /usr, '/usr/local' or '/usr/ports/irc/ircproxy/work'.
*
* ircproxy is free, however donations are welcome and will help support
* new versions.
* If you like ircproxy you can donate through PayPal to
* jonasia_at_closetothewind_dot_net.
*
*-----------------------------------------------------------------------------
===>  Building for ircproxy-1.3.6_4
--- stamp-h.in ---
Generating config.h.in...
autoheader
--- stamp-h ---
Generating config.h...
config.status: creating config.h
config.status: executing default commands
--- build ---
Building src...
--- main.o ---
--- syscalls.o ---
--- strcalls.o ---
--- main.o ---
cc -O2 -pipe  -I/usr/local/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I /usr/local/include -I ~/include -I../ -c main.c -o main.o
--- syscalls.o ---
cc -O2 -pipe  -I/usr/local/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I /usr/local/include -I ~/include -I../ -c syscalls.c -o syscalls.o
--- strcalls.o ---

...

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

--Chris
Comment 7 Chris Hutchinson 2020-04-19 07:39:03 UTC
Built, installed, and running on:
FreeBSD 12.0-STABLE #0 r345327 amd64

There's nothing wrong with the svn(1) diff attached to this pr(1).

--Chris
Comment 8 Mikael Urankar freebsd_committer 2020-04-19 08:24:51 UTC
(In reply to Chris Hutchinson from comment #6)
It's on 12.1 and 13, ports tree at r532038.
I assume you don't use poudriere and autoconf*, automake are installed in your jail?
Comment 9 Chris Hutchinson 2020-04-19 08:40:14 UTC
(In reply to Mikael Urankar from comment #8)
It's a jail freshly poured off 13-CURRENT install media,
and an fresh svn co from a week ago @r531386.
Nothing but:
DEVELOPER=true
DEFAULT_VERSIONS+= ssl=openssl
in make.conf(5)

So apparently something got broken in the
ports framework in the last week.

Sigh...
I guess I'll need to review the commit logs. :(

Thanks for the report, Milael! :)
At least I know where to look now.

--Chris
Comment 10 Chris Hutchinson 2020-04-20 13:29:21 UTC
Created attachment 213602 [details]
svn diff for irc/ircprocy (version 3)

OK this is the last time. :)
Previous problem was that because I had patched config,
of *course* I would need autoreconf -- too many things
going on with too little sleep. :(

Passes all tests, configs/builds/installs without error
on 13-CURRENT with a ports tree @ r532184.

That's it! Please commit! :)

Thanks!

--Chris
Comment 11 Mikael Urankar freebsd_committer 2020-04-22 11:30:39 UTC
You drop the configure and pkg-descr patch in your last diff. patch-configure is not needed since you run autoreconf.

It doesnt't build on 11.3:

checking for pw... /usr/sbin/pw
checking for crontab... /usr/bin/crontab
checking for library containing crypt... -lcrypt
checking for library containing socket... none required
checking for library containing gethostbyname... none required
checking for library containing gethostbyname2... none required
checking for library containing seteuid... none required
checking for library containing clock_gettime... none required
checking for library containing ares_init... -lcares
checking for OPENSSL_init_ssl in -lssl... no
checking for OPENSSL_init_ssl in -lgnutls-openssl... no
checking for library containing OPENSSL_init_ssl... no
gnutls library not found. Install gnutls or use --with-openssl
===>  Script "configure" failed unexpectedly.
Please report the problem to portmaster@BSDforge.com [maintainer] and attach
the "/wrkdirs/usr/ports/irc/ircproxy/work/ircproxy-1.3.6/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea)
Comment 12 Chris Hutchinson 2020-04-22 23:33:18 UTC
(In reply to Mikael Urankar from comment #11)

> You drop the configure and pkg-descr patch in your last diff.

svn(lite) add? What's that? ;)
OOPS! Sorry. :(

OK I'm leaving the patch as-is (as was made). I just tested
it with 13 && 11, and it "just works". I'm including the
relevant portion of a build log as proof. :)

Please find *complete* svn diff to make irc/ircproxy
build and run on 11 && 13 (amd64).

Thank you Mikael, and sorry for all the bother.

--Chris
Comment 13 Chris Hutchinson 2020-04-22 23:35:07 UTC
Created attachment 213708 [details]
svn diff for irc/ircproxy (version 4)

Fixes everything -- this time for sure!
Comment 14 Chris Hutchinson 2020-04-22 23:36:02 UTC
Created attachment 213709 [details]
Build log
Comment 15 Mikael Urankar freebsd_committer 2020-04-23 12:55:45 UTC
Created attachment 213719 [details]
log

It still fails in poudriere on 11.3. Do you have some openssl packages installed in your jail?
pkg-desc patch is still missing.
Comment 16 Chris Hutchinson 2020-04-23 20:41:35 UTC
(In reply to Mikael Urankar from comment #15)
Not personal. But this is *insane*.
I choose jails over poudriere because I find them
more flexible, They're closer to "bare metal" whwn
testing a port, and I use them @${JOB} to build
rollouts.
That said; I constructed this 11-RELEASE jail with
unaltered official install media:
(the process is fully scripted by a script I made,
but here are the interesting parts)
mkldir <jailname>
cd <jailname>
(from 11.3 disk1.iso)
tar xvf base.txz
tar xvf kernel.txz
tar xvf lib32.txz
fstab
hosts
resolv.conf
rc.conf
make.conf < DEVELOPER=(yes|true)
devfs && rules
LOGIN && rootpasswd newuser aliases tzsetup
followed by
svn co svn://svn.freebsd.org/ports/head /usr/ports
cd /usr/ports/ports-mgmt/pkg && make install clean
cd /usr/ports/irc
cp ~/DEV/irc_ircproxy4.diff .
svn patch irc_ircproxy4.diff
cd ircproxy
script ~/DEV/IRCP01
make -DBATCH check-plist

success! everything works as intended.

I couldn't create a cleaner environment.
What am I missing?

Thank you *very* much, Mikael!

--Chris
Comment 17 Chris Hutchinson 2020-04-23 20:48:41 UTC
(In reply to Mikael Urankar from comment #15)
You're poudriere build log suggests you haven't applied
the svn patch (diff) included here (irc_ircproxy4.diff)
ccache?

USES=	... *ssl* ...

--Chris
Comment 18 Chris Hutchinson 2020-04-24 00:04:19 UTC
Created attachment 213734 [details]
svn diff for irc/ircproxy (ver 5) -- spank poudriere

OK I think I have something that not only works on
Bare Metal (as before) but also in poudriere.
Please give it a spin in poudriere. :)

Thanks!

P.S. I'm also attaching a build log (trimmed to
only the interesting parts) that confirms that my
addition to this diff doesn't break it on Bare Metal. ;)

--Chris
Comment 19 Chris Hutchinson 2020-04-24 00:05:15 UTC
Created attachment 213735 [details]
Build log from ver 5

Confirms ver 5 diff works as intended.
Comment 20 Mikael Urankar freebsd_committer 2020-04-24 09:35:42 UTC
It builds fine but you can't set DEFAULT_VERSIONS in the Makefile, it should go in make.conf

I didn't look closely at the configure patch but I think it's wrong. You changed SSL_library_init to OPENSSL_init_ssl so that the configure phase doesn't error out but the ircproxy code uses SSL_library_init in src/ssl.c. This file is not even compiled (--with-openssl isn't set, SSL_CONFIGURE_ENABLE= ssl was dropped in your patch).
I don't know if gnutls could be used instead of openssl?
Comment 21 Chris Hutchinson 2020-04-30 12:52:19 UTC
Created attachment 213952 [details]
svn diff for irc/ircproxy (version 6)

OK this one does it. I was finally able to take a
stab at this without being too preoccupied with other
stuff. This one tests on both 13-CURRENT && 11.3.
13 uses ports/openssl, and 11.3 uses SSL==base as
intended.
Please also find 2 build transcripts trimmed to only
the interesting parts -- they both include versions,
and revisions of base and ports.

That'll do it.

Thanks!

--Chris
Comment 22 Chris Hutchinson 2020-04-30 12:57:02 UTC
Created attachment 213953 [details]
QA log for 13-CURRENT/amd64 (for version 6 svn diff)

QA log for latest svn diff (version 6)
Comment 23 Chris Hutchinson 2020-04-30 12:58:54 UTC
Created attachment 213954 [details]
QA log for 11.3/amd64 (for version 6)

QA log for 11.3/amd64 against the version 6 svn diff
Comment 24 Chris Hutchinson 2020-05-06 20:13:00 UTC
Is it too soon to ask to look at this?
Comment 25 Mikael Urankar freebsd_committer 2020-05-08 11:00:51 UTC
(In reply to Chris Hutchinson from comment #24)
I thought I replied to this but it seems the message was lost.

You can't use ${OSREL}, use OSVERSION instead.

ssl is still not enabled (SSL_CONFIGURE_ENABLE is missing) so it's useless to install openssl and patch the configure script.
Comment 26 commit-hook freebsd_committer 2020-08-31 08:53:51 UTC
A commit references this bug:

Author: danfe
Date: Mon Aug 31 08:53:00 UTC 2020
New revision: 547156
URL: https://svnweb.freebsd.org/changeset/ports/547156

Log:
  Allow to build against contemporary versions of OpenSSL.

  PR:	244473 (modified)

Changes:
  head/irc/ircproxy/Makefile
Comment 27 Alexey Dokuchaev freebsd_committer 2020-08-31 08:56:06 UTC
Port should be fixed now as of ports r547156, thanks.
Comment 28 Chris Hutchinson 2020-08-31 18:26:07 UTC
@danfe
Many thanks! :-)

--Chris